<?php
include "config.php";
?>
<!DOCTYPE html>

<html lang="pt-br">

<head>

    <?php include "includes/header.php"; ?>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css">
    <link rel="stylesheet" href="assets/css/styles.min.css">

</head>

<body style="background-color: #0E314B;overflow: hidden;" class="bg-gradient vh-100 m-0">

    <!-- navbar -->

    <!-- Start: Login Form Clean -->
    <section class="login-clean " style="background-color:transparent !important;">
        <form id="flogin" class="border rounded-0 shadow-lg was-validated mt-3 text-center">

            <div class="illustration"><img src="assets/img/logo.png" class="img-responsive" width="200" /></div>
            <div class="form-floating mb-3">
                <input class="form-control" type="email" value="" name="email" id="email" placeholder="E-mail de acesso..." required>
                <label for="email">Email:</label>

            </div>
            <div class="form-floating mb-3">
                <input class="form-control" type="password" value="" name="senha" id="senha" placeholder="Senha de acesso..." required>
                <label for="senha">Senha:</label>
            </div>
            <div class="mb-3">
                <button class="btn btn-success  w-100" id="btnlogin" type="submit"><i class='fas fa-location-arrow me-2'></i>LOGIN</button>
            </div>
            <a class="btn btn-link" href="#" data-bs-toggle="modal" data-bs-target="#mEmail"><i class="fas fa-tablet-alt me-2"></i>Primeiro acesso? Valide seu aparelho...</a>
            <a class="forgot" href="#"><i class='fas fa-key me-2'></i>Esqueceu sua senha?</a>
        </form>
    </section><!-- End: Login Form Clean -->


    <?php include "includes/libs.php"; ?>





    <!-- Modal -->
    <div class="modal fade" id="mEmail" tabindex="-1" aria-labelledby="mEmailLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered ">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="mEmailLabel">Validação Cadastro:</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <form id="femail" class="was-validated" method='POST'>


                        <div class='mb-2'>
                            <label for="NOME2">NOME:</label>
                            <input type='text' id='NOME2' name='NOME' class='form-control text-uppercase'
                                placeholder="Nome..." required>
                        </div>
                        <div class='mb-2'>
                            <label for="EMAIL2">E-MAIL:</label>      
                            <input type='email' id='EMAIL2' name='EMAIL' class='form-control text-lowercase'
                                placeholder="E-mail mais usado ..." required>
                        </div>
                        <div class='mb-2'>
                            <label for="SENHA2">SENHA:</label>
                            <input type='password' id='SENHA2' name='SENHA'
                                placeholder="Senha de acesso..." class='form-control' maxlength="20" minlength="6" required>
                        </div>

                        <button type='submit' class='btn btn-success w-100 text-light' id="btnEmail">VALIDAR <i class='fas fa-location-arrow ms-2'></i></button>
                    </form>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-secondary w-100" data-bs-dismiss="modal">Cancelar</button>

                </div>
            </div>
        </div>
    </div>




    <script>
        $(function() {
            // Initialize tooltips
            pulse('Carregando...');

        });

        $(document).ready(function() {

            var email = $('#email');
            var senha = $('#senha');

            var btnlogin = $('#btnlogin');
            email.val('');
            senha.val('');
            email.focus();

            removeloader();


            email.on('keypress', function(e) {
                if (e.which == 13) {
                    senha.focus();
                }
            });
            senha.on('keypress', function(e) {
                if (e.which == 13) {
                    btnlogin.click();
                }
            });

            $('#flogin').submit(function(e) {
                e.preventDefault();

                if (email.val() == '') {
                    mensagem('Digite o e-mail de acesso !!', 'atencao');
                } else if (senha.val() == '') {
                    mensagem('Digite a senha de acesso !!', 'atencao');
                } else {
                    pulse('Logando...');

                    $.post('rest/logar.php', {
                        email: email.val(),
                        senha: senha.val()
                    }, function(data) {
                        //alert(data);
                        if (data == 'ok') {

                            mensagem('Logado com sucesso !!', 'sucesso');
                            setTimeout(() => {
                                window.location.href = 'index.php';
                            }, 2000);



                        } else if (data == 'invalido') {
                            mensagem('E-mail ou senha inválidos !!', 'erro');
                            removeloader();
                        } else {
                            mensagem('Erro ao logar, tente novamente mais tarde !!' + data, 'erro');
                            removeloader();
                        }
                        $('form')[0].reset();
                    });



                }

            });


            $('#femail').submit(function(e) {
                e.preventDefault();
                var nome2 = $('#NOME2').val();
                var email2 = $('#EMAIL2').val();
                var senha2 = $('#SENHA2').val();

                if (nome2 == '') {
                    mensagem('Digite o nome !!', 'atencao');
                } else if (email2 == '') {
                    mensagem('Digite o e-mail !!', 'atencao');
                } else if (senha2 == '') {
                    mensagem('Digite a senha !!', 'atencao');
                } else {
                    pulse('Validando...');

                    $.post('rest/opt.php', {
                        nome: nome2,
                        email: email2,
                        senha: senha2
                    }, function(data) {
                       // alert(data);
                        if (data == 'ok') {

                           
                            window.location.href = 'opt.php';
                        


                        } else if (data == 'erro') {
                            mensagem('E-mail ou senha inválidos !!', 'erro');
                            removeloader();
                        } else {
                            mensagem('Erro ao validar, tente novamente mais tarde !!' + data, 'erro');
                            removeloader();
                        }
                        $('form')[0].reset();
                    });



                }

            });

            $('.forgot').click(function() {
                relembra();
            });

        });

        function removeloader() {
            Notiflix.Loading.remove(1923);
            // $('section').fadeIn(500);

        }

        
    </script>


</body>

</html>